Create a channel
Creates a channel in a realm (realm_id) or an organization (org_id). A channel_ref destination may not create a loop of channels.
Requires a signed-in user token; with realm_id, a realm operator (or higher) with the channels.manage.realm permission on that realm; with org_id, a role with the channels.manage permission in that organization. One of realm_id or org_id is required.
curl --request POST \
--url https://{host}/v1/notification_channels/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b",
"name": "ops-slack",
"destinations": [
{
"type": "slack",
"webhook_url": "https://hooks.slack.com/services/T000/B000/XXXX"
}
]
}
'import requests
url = "https://{host}/v1/notification_channels/create"
payload = {
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b",
"name": "ops-slack",
"destinations": [
{
"type": "slack",
"webhook_url": "https://hooks.slack.com/services/T000/B000/XXXX"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
realm_id: '5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b',
name: 'ops-slack',
destinations: [
{type: 'slack', webhook_url: 'https://hooks.slack.com/services/T000/B000/XXXX'}
]
})
};
fetch('https://{host}/v1/notification_channels/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/notification_channels/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'realm_id' => '5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b',
'name' => 'ops-slack',
'destinations' => [
[
'type' => 'slack',
'webhook_url' => 'https://hooks.slack.com/services/T000/B000/XXXX'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/notification_channels/create"
payload := strings.NewReader("{\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\",\n \"name\": \"ops-slack\",\n \"destinations\": [\n {\n \"type\": \"slack\",\n \"webhook_url\": \"https://hooks.slack.com/services/T000/B000/XXXX\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/notification_channels/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\",\n \"name\": \"ops-slack\",\n \"destinations\": [\n {\n \"type\": \"slack\",\n \"webhook_url\": \"https://hooks.slack.com/services/T000/B000/XXXX\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/notification_channels/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\",\n \"name\": \"ops-slack\",\n \"destinations\": [\n {\n \"type\": \"slack\",\n \"webhook_url\": \"https://hooks.slack.com/services/T000/B000/XXXX\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
User PAT (cliq_tok_…, including session-scoped) or realm token (cliq_dt_…).
Body
Unique channel name within the realm or org scope
One or more delivery destinations (slack, email, webhook, cliqhub, channel_ref, …)
1Organization this call targets. Required for account-scoped channel/rule ops and inbox.
When set, create a realm channel; omit for an org/account channel
1When false, channel is created disabled (default enabled)
curl --request POST \
--url https://{host}/v1/notification_channels/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b",
"name": "ops-slack",
"destinations": [
{
"type": "slack",
"webhook_url": "https://hooks.slack.com/services/T000/B000/XXXX"
}
]
}
'import requests
url = "https://{host}/v1/notification_channels/create"
payload = {
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b",
"name": "ops-slack",
"destinations": [
{
"type": "slack",
"webhook_url": "https://hooks.slack.com/services/T000/B000/XXXX"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
realm_id: '5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b',
name: 'ops-slack',
destinations: [
{type: 'slack', webhook_url: 'https://hooks.slack.com/services/T000/B000/XXXX'}
]
})
};
fetch('https://{host}/v1/notification_channels/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/notification_channels/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'realm_id' => '5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b',
'name' => 'ops-slack',
'destinations' => [
[
'type' => 'slack',
'webhook_url' => 'https://hooks.slack.com/services/T000/B000/XXXX'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/notification_channels/create"
payload := strings.NewReader("{\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\",\n \"name\": \"ops-slack\",\n \"destinations\": [\n {\n \"type\": \"slack\",\n \"webhook_url\": \"https://hooks.slack.com/services/T000/B000/XXXX\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/notification_channels/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\",\n \"name\": \"ops-slack\",\n \"destinations\": [\n {\n \"type\": \"slack\",\n \"webhook_url\": \"https://hooks.slack.com/services/T000/B000/XXXX\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/notification_channels/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\",\n \"name\": \"ops-slack\",\n \"destinations\": [\n {\n \"type\": \"slack\",\n \"webhook_url\": \"https://hooks.slack.com/services/T000/B000/XXXX\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body